> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Orders

> Retrieve all orders from the database.

[The Orders Data Model](https://docs.rootfi.dev/api-reference/orders/overview) is designed to streamline the management and retrieval of orders information across various ecommerce platforms.


## OpenAPI

````yaml GET /ecommerce/orders
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /ecommerce/orders:
    get:
      tags:
        - EcommerceOrders
      summary: Get All Orders
      description: Retrieve all orders from the database.
      operationId: ecommerce_orders_list
      parameters:
        - name: limit
          in: query
          description: The number of orders you want to retrieve
          required: false
          schema:
            type: integer
            nullable: true
          examples:
            Example1:
              value: 1
        - name: next
          in: query
          description: The next page of objects to retrieve
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: nhgdfghjgyffcvjhgc==
        - name: prev
          in: query
          description: The previous page of objects to retrieve
          required: false
          schema:
            type: string
            nullable: true
        - name: select
          in: query
          description: >-
            Comma separated fields to select. Supported values are raw_data,
            data_hash
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: raw_data
        - name: rootfi_updated_at[gte]
          in: query
          description: Filter by rootfi_updated_at Greater than or Equal To.
          required: false
          schema:
            type: string
            nullable: true
        - name: rootfi_company_id[eq]
          in: query
          description: >-
            Filter by rootfi_company_id. You can filter by any field using this
            syntax field_name[operator]
          required: false
          schema:
            type: integer
            nullable: true
        - name: include_deleted_records
          in: query
          description: >-
            Include deleted records. By default, deleted records are not
            included. Supported values are true and false
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: 'false'
        - name: return_count
          in: query
          description: Return the count of the objects. Supported values are true and false
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: 'false'
        - name: sort[rootfi_created_at]
          in: query
          description: Sort by rootfi_created_at
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            nullable: true
        - name: sort[rootfi_updated_at]
          in: query
          description: Sort by rootfi_updated_at
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            nullable: true
        - name: expand
          in: query
          description: Comma separated fields to expand. Supported values are line_items
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: ecommerce_line_items
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ecommerceGetOrdersResponse'
              examples:
                Example1:
                  value:
                    data:
                      - rootfi_id: 157
                        rootfi_deleted_at: null
                        rootfi_created_at: '2024-01-22T05:07:31.465Z'
                        rootfi_updated_at: '2024-01-22T05:07:31.000Z'
                        rootfi_company_id: 1089
                        platform_id: ord_123456
                        platform_unique_id: ORD-2024-001
                        currency_id: USD
                        reference: REF-2024-001
                        created_at: '2024-01-22T05:07:31.465Z'
                        updated_at: '2024-01-22T05:07:31.000Z'
                        order_name: 'Order #ORD-2024-001'
                        order_number: ORD-2024-001
                        description: Summer Sale Order - Wireless Headphones
                        total_discount: 10
                        sub_total: 89.99
                        tax_amount: 7.2
                        total_amount: 97.19
                        amount_due: 0
                        order_status: FULFILLED
                        payment_status: PAID
                        customer_id: cus_123456
                        shipping_amount: 5.99
                        line_items:
                          - item_id: prod_789
                            tax_id: tax_001
                            line_item_type_id: ord_123456
                            line_item_type: ECOMMERCE_ORDERS
                            description: Wireless Headphones - Black
                            unit_amount: 99.99
                            quantity: 1
                            total_discount: 10
                            tax_amount: 7.2
                            sub_total: 89.99
                            total_amount: 97.19
                    prev: eyJyb290ZmlfaWQiOjQ0MDA2MX0=
                    next: eyJyb291ZmlfaWQiOjQ0MDA2MX0=
                    total_count: 123
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SortOrder:
      title: SortOrder
      type: string
      enum:
        - ASC
        - DESC
    ecommerceGetOrdersResponse:
      title: ecommerceGetOrdersResponse
      type: object
      description: The data of the orders endpoint.
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ecommerceOrderObject'
      required:
        - data
      allOf:
        - $ref: '#/components/schemas/CommonReadResponse'
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    ecommerceOrderObject:
      title: ecommerceOrderObject
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/ecommerceOrdersFields'
    CommonReadResponse:
      title: CommonReadResponse
      type: object
      properties:
        prev:
          type: string
          nullable: true
          description: The previous page of objects to retrieve
        next:
          type: string
          nullable: true
          description: The next page of objects to retrieve
        total_count:
          type: integer
          nullable: true
          description: The total count of the objects
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
    AccountingRootFiBaseFields:
      title: AccountingRootFiBaseFields
      type: object
      properties:
        rootfi_id:
          type: number
          format: double
          description: The unique ID we assign for that data's information
          example: 157
        rootfi_deleted_at:
          type: string
          format: date-time
          nullable: true
          description: The date at which the data was deleted in the accounting platform
        rootfi_created_at:
          type: string
          format: date-time
          description: The date at which RootFi first synced this data
          example: '2024-01-22T05:07:31.465Z'
        rootfi_updated_at:
          type: string
          format: date-time
          description: The latest date at which RootFi updated this data
          example: '2024-01-22T05:07:31.000Z'
        rootfi_company_id:
          type: number
          format: double
          description: The ID of the company in the accounting platform
          example: 1089
        platform_id:
          type: string
          description: An unique custom RootFi ID made from platform's unique_id.
          example: '123456'
        platform_unique_id:
          type: string
          nullable: true
          description: The ID of the data in the accounting platform.
        raw_data:
          type: object
          additionalProperties: true
          nullable: true
          description: >-
            A JSON containing fields that you can directly get from the
            accounting platform.
        data_hash:
          type: string
          nullable: true
          description: The hash of the data
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_company_id
        - platform_id
    ecommerceOrdersFields:
      title: ecommerceOrdersFields
      type: object
      properties:
        currency_id:
          type: string
          nullable: true
          description: The currency ID of the order
        reference:
          type: string
          nullable: true
          description: The reference of the order
        created_at:
          type: string
          nullable: true
          description: The date and time the order was created
        updated_at:
          type: string
          nullable: true
          description: The date and time the order was last updated
        order_name:
          type: string
          nullable: true
          description: The name of the order
        order_number:
          type: string
          nullable: true
          description: The order number
        description:
          type: string
          nullable: true
          description: The description of the order
        total_discount:
          type: number
          format: double
          nullable: true
          description: The total discount amount of the order
        sub_total:
          type: number
          format: double
          nullable: true
          description: The subtotal of the order before taxes and shipping
        tax_amount:
          type: number
          format: double
          nullable: true
          description: The tax amount of the order
        total_amount:
          type: number
          format: double
          nullable: true
          description: The total amount of the order
        amount_due:
          type: number
          format: double
          nullable: true
          description: The amount due for the order
        order_status:
          type: string
          nullable: true
          description: The status of the order
        payment_status:
          type: string
          nullable: true
          description: The payment status of the order
        customer_id:
          type: string
          nullable: true
          description: The customer ID associated with the order
        shipping_amount:
          type: number
          format: double
          nullable: true
          description: The shipping amount for the order
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/EcommerceLineItemsFields'
          nullable: true
          description: The line items of the order
    EcommerceLineItemsFields:
      title: EcommerceLineItemsFields
      type: object
      properties:
        item_id:
          type: string
          nullable: true
          description: The ID of the item in the ecommerce platform
        tax_id:
          type: string
          nullable: true
          description: The ID of the tax in the ecommerce platform
        line_item_type_id:
          type: string
          nullable: true
          description: The ID of the line item type in the ecommerce platform
        line_item_type:
          $ref: '#/components/schemas/ECommerceLineItemType'
          nullable: true
          description: The line item type of the line item
        description:
          type: string
          nullable: true
          description: The description of the line item
        unit_amount:
          type: number
          format: double
          nullable: true
          description: The unit amount of the line item
        quantity:
          type: number
          format: double
          nullable: true
          description: The quantity of the line item
        total_discount:
          type: number
          format: double
          nullable: true
          description: The total discount of the line item
        tax_amount:
          type: number
          format: double
          nullable: true
          description: The tax amount of the line item
        sub_total:
          type: number
          format: double
          nullable: true
          description: The sub total of the line item
        total_amount:
          type: number
          format: double
          nullable: true
          description: The total amount of the line item
    ECommerceLineItemType:
      title: ECommerceLineItemType
      type: string
      enum:
        - ECOMMERCE_ORDERS
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````